Skip to main content
GET
List scheduling availabilities

Authorizations

Authorization
string
header
required

An API key (annie-sk-v2-...) or an OAuth access token, sent as Authorization: Bearer <token>.

Path Parameters

botId
string<uuid>
required

The ID of the bot

Query Parameters

appointmentTypeId
string
required

Opaque appointment type ID returned by the appointment-types endpoint

startDate
string
required

Date in YYYY-MM-DD format

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-06-15"

endDate
string
required

Date in YYYY-MM-DD format

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-06-15"

Response

Response returned when fetching scheduling availabilities

success
enum<boolean>
required
Available options:
true
data
object
required